wreport::tests::ActualVar Struct Reference
Inheritance diagram for wreport::tests::ActualVar:

## Public Member Functions

| ActualVar (const Var &actual)
void | operator== (const Var &expected) const
void | operator!= (const Var &expected) const
template<typename Val>
void | operator== (Val expected) const
template<typename Val>
void | operator!= (Val expected) const
void | isset () const
void | isunset () const
Public Member Functions inherited from wreport::tests::Actual< Var >
| Actual (const Var &actual)
void | istrue () const
void | isfalse () const
void | operator== (const E &expected) const
void | operator!= (const E &expected) const
void | operator< (const E &expected) const
void | operator<= (const E &expected) const
void | operator> (const E &expected) const
void | operator>= (const E &expected) const

## Additional Inherited Members

Data Fields inherited from wreport::tests::Actual< Var >
Var | _actual

The documentation for this struct was generated from the following file:

- tests.h